Add messages
post
Authorizations
AuthorizationstringRequired
Bearer {apikey}
Path parameters
agentIdstringRequired
The ID of the agent.
customerIdstringRequired
The ID of the customer.
channelstringRequiredExample:
The channel name. Supported channels are: facebook, instagram, whatsapp, tiktok, telegram, widget_chatbot, or any channel starting with 'chatbot.' (e.g., 'chatbot.web', 'chatbot.mobile'). Note: For chatbot channels and widget_chatbot alias, the customer must have a widget_chatbot.id field. When using widget_chatbot, the API resolves to an existing chatbot.* thread for the customer.
{"value":"facebook","summary":"Facebook channel"}Body
Responses
201
Messages successfully created
application/json
400
Bad Request
application/json
403
Forbidden
application/json
404
Not Found
application/json
500
Internal Server Error
application/json
post
/v1/agents/{agentId}/customers/{customerId}/threads/{channel}/messagesLast updated